Bug 457546 - Review Request: perl-Net-RawIP - A Perl extension for manipulating raw ip packets using libpcap
Review Request: perl-Net-RawIP - A Perl extension for manipulating raw ip pac...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 457888
  Show dependency treegraph
 
Reported: 2008-08-01 09:06 EDT by Miloslav Trmač
Modified: 2008-08-06 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 10:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-08-01 09:06:01 EDT
Spec URL: http://people.redhat.com/mitr/packaging/perl-Net-RawIP.spec
SRPM URL: http://people.redhat.com/mitr/packaging/perl-Net-RawIP-0.23-1.fc9.src.rpm
Description:
This package provides a class object which can be used for creating,
manipulating and sending raw ip packets with optional features for
manipulating ethernet headers.
Comment 1 Parag AN(पराग) 2008-08-04 00:36:14 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=756354
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f3b365136ccf88c79167ac3b1292e5b3  Net-RawIP-0.23.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=7, Tests=104,  4 wallclock secs ( 0.04 usr  0.01 sys +  4.38 cusr  0.08 csys =  4.51 CPU)
+ Package perl-Net-RawIP-0.23-1.fc10=>
Provides: RawIP.so perl(Net::RawIP) = 0.23 perl(Net::RawIP::ethhdr) = 0.23 perl(Net::RawIP::generichdr) = 0.23 perl(Net::RawIP::icmphdr) = 0.23 perl(Net::RawIP::iphdr) = 0.23 perl(Net::RawIP::opt) = 0.23 perl(Net::RawIP::tcphdr) = 0.23 perl(Net::RawIP::udphdr) = 0.23
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libpcap.so.0.9 perl(AutoLoader) perl(Carp) perl(Class::Struct) perl(DynaLoader) perl(English) perl(Exporter) perl(Net::RawIP::ethhdr) perl(Net::RawIP::generichdr) perl(Net::RawIP::icmphdr) perl(Net::RawIP::iphdr) perl(Net::RawIP::opt) perl(Net::RawIP::tcphdr) perl(Net::RawIP::udphdr) perl(strict) perl(subs) perl(vars) perl(warnings) rtld(GNU_HASH)

Suggestions:-
  You can include examples directory in %doc.
APPROVED.
Comment 2 Miloslav Trmač 2008-08-05 03:58:44 EDT
New Package CVS Request
=======================
Package Name: perl-Net-RawIP
Short Description: A Perl extension for manipulating raw IP packets using libpcap
Owners: mitr
Branches: F-9
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-05 12:26:31 EDT
cvs done.
Comment 4 Miloslav Trmač 2008-08-06 10:40:46 EDT
Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.